from __future__ import annotations
from typing import List, Optional
from pydantic import BaseModel


class Show(BaseModel):
    channel: str
    topic: str
    title: str
    description: str
    timestamp: int
    duration: int
    size: int
    url_website: str
    url_subtitle: str
    url_video: str
    url_video_low: str
    url_video_hd: str
    filmlisteTimestamp: str
    id: str


class QueryInfo(BaseModel):
    filmlisteTimestamp: str
    searchEngineTime: str
    resultCount: int
    totalResults: int


class Result(BaseModel):
    results: List[Show] = []
    queryInfo: QueryInfo


class MVWJSONResponse(BaseModel):
    result: Result
    err: Optional[str] = None
